<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui"
             xmlns:tramite="http://java.sun.com/jsf/composite/tramite"
             xmlns:fn="http://java.sun.com/jsp/jstl/functions" width="100%" >

    <p:ajaxStatus onstart="statusDialog2.show();"
                  onsuccess="statusDialog2.hide();"
                  onerror="statusDialog2.hide();alert('Error AJAX en la aplicación');" />

    <p:focus />
    <p:messages id="msgsRP" showDetail="false" globalOnly="false" />


    <h:form id="verProyeccionForm">
        <h:panelGrid columns="2" width="100%" rendered="#{histProyViaGub.tramiteInicialVG ne null}">
            <h:panelGrid
                columns="#{histProyViaGub.tramiteInicialVG.quinta eq true ? '8' : '5'}"
                width="100%">

                <h:outputLabel value="No. solicitud:" styleClass="outputLabelStyle" />
                <h:panelGrid columns="2">
                    <p:commandLink oncomplete="detalleSolicitudWV.show();"
                                   update=":detalleSolicitudEjecutarForm">
                        <h:outputText value="#{histProyViaGub.tramiteInicialVG.solicitud.numero}"
                                      styleClass="commandLinkStyle" />
                        <f:setPropertyActionListener
                            value="#{histProyViaGub.tramiteInicialVG.solicitud}"
                            target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                    </p:commandLink>
                    <p:spacer height="0" width="10" />
                </h:panelGrid>

                <p:spacer height="0" width="7"/>
                <h:outputLabel value="No. radicación:" styleClass="outputLabelStyle" />
                <h:panelGrid columns="2">
                    <p:commandLink styleClass="commandLinkStyle"
                                   oncomplete="detalleTramiteEjecutarWV.show();"
                                   update=":detalleTramiteEjecutarForm">
                        <h:outputText value="#{histProyViaGub.tramiteInicialVG.numeroRadicacion}"
                                      rendered="#{!histProyViaGub.tramiteInicialVG.tramiteDeAutoavaluo}"
                                      styleClass="commandLinkStyle" />
                        <h:outputText value="Ver trámite"
                                      rendered="#{histProyViaGub.tramiteInicialVG.tramiteDeAutoavaluo}"
                                      styleClass="commandLinkStyle" />
                        <f:setPropertyActionListener value="#{histProyViaGub.tramiteInicialVG}"
                                                     target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                    </p:commandLink>
                    <p:spacer height="0" width="10" />
                </h:panelGrid>



                <h:outputLabel value="Fecha radicación:"
                               styleClass="outputLabelStyle"/>
                <h:panelGrid columns="2">
                    <h:outputText value="#{histProyViaGub.tramiteInicialVG.fechaRadicacion}"
                                  styleClass="outputTextStyle">
                        <f:convertDateTime pattern="dd/MM/yyyy" locale="es" />
                    </h:outputText>
                    <p:spacer height="0" width="10" />
                </h:panelGrid>

                <p:spacer height="0" width="7"/>

                <h:outputLabel value="Tipo de trámite:"
                               styleClass="outputLabelStyle" />
                <h:panelGrid columns="2">
                    <h:outputText
                        value="#{histProyViaGub.tramiteInicialVG.tipoTramiteCadenaCompleto}"
                        id="TramiteTipoTramiteV" styleClass="outputTextStyle">
                        <f:converter converterId="converterCB" for="TramiteTipoTramiteV" />
                    </h:outputText>
                    <p:spacer height="0" width="10" />
                </h:panelGrid>

                <p:spacer height="0" width="7"
                          rendered="#{histProyViaGub.tramiteInicialVG.quinta}" />

                <h:outputLabel value="Clasificación:" styleClass="outputLabelStyle"/>
                <h:panelGrid columns="2">
                    <h:outputText value="#{histProyViaGub.tramiteInicialVG.clasificacion}"
                                  id="TramiteClasificacionV-1" styleClass="outputTextStyle">
                        <f:converter converterId="converterCB"
                                     for="TramiteClasificacionV-1" />
                    </h:outputText>
                    <p:spacer height="0" width="10" />
                </h:panelGrid>

                <h:outputLabel value="Número predial" styleClass="outputLabelStyle"
                               rendered="#{histProyViaGub.tramiteInicialVG.quinta}" />
                <h:outputText
                    value="#{histProyViaGub.tramiteInicialVG.formattedNumeroPredialCompleto}"
                    rendered="#{histProyViaGub.tramiteInicialVG.quinta}"
                    styleClass="outputTextStyle" />

            </h:panelGrid>

            <p:dataTable value="#{histProyViaGub.tramiteInicialVG.predios}" var="predio"
                         paginator="true" rows="5"
                         rendered="#{!histProyViaGub.tramiteInicialVG.quinta}"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                         emptyMessage="No existen predios en el trámite">

                <f:facet name="header">Predios del trámite</f:facet>

                <p:column>
                    <f:facet name="header">Tipo</f:facet>
                    <h:outputText value="#{predio.tipo}" styleClass="outputTextStyle" 
                                  id="PredioTipoV">
                        <f:converter converterId="converterCB" for="PredioTipoV" />
                    </h:outputText>
                </p:column>

                <p:column>
                    <f:facet name="header">Número predial</f:facet>

                    <p:commandLink oncomplete="detallePredioWV.show()"
                                   update=":dpCC:detallesPredioTV"
                                   action="#{vistaDetallesSolicitud.buscarPredioPorNumeroPredial}">
                        <h:outputText value="#{predio.formattedNumeroPredialCompleto}"
                                      styleClass="commandLinkStyle" />
                        <f:setPropertyActionListener
                            target="#{vistaDetallesSolicitud.numeroPredial}"
                            value="#{predio.numeroPredial}" />
                        <f:setPropertyActionListener
                            target="#{consultaPredio.selectedPredioId}" value="#{predio.id}" />
                    </p:commandLink>

                </p:column>
                <p:column>
                    <f:facet name="header">Nombre o Dirección principal</f:facet>
                    <h:outputText value="#{predio.direccionPrincipal}" />
                </p:column>

            </p:dataTable>

        </h:panelGrid>





        <h:panelGrid width="100%">
            <p:tabView dynamic="true" cache="false" id="verProyeccionTabView" >
                <p:ajax event="tabChange" listener="#{histProyViaGub.cambioTab}"
                        onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
                <p:tab title="Ver proyección" id="verProyeccion" >
                    <h:panelGrid columns="3" cellspacing="3">

                        <p:dataTable value="#{histProyViaGub.tablaResumenTramite}"
                                     id="resumenTramiteId"
                                     var="rt"
                                     emptyMessage="No existe información del resumen del trámite">

                            <p:column headerText="">
                                <h:outputText value="#{rt[0]}">
                                    <f:convertNumber type="number" />
                                </h:outputText>
                            </p:column>

                            <p:column headerText="Cantidad propietarios">
                                <h:outputText value="#{rt[5]}">
                                    <f:convertNumber type="number" />
                                </h:outputText>
                            </p:column>

                            <p:column headerText="Cantidad predios">
                                <h:outputText value="#{rt[1]}">
                                    <f:convertNumber type="number" />
                                </h:outputText>
                            </p:column>

                            <p:column headerText="Área terreno">
                                <h:outputText value="#{rt[2]}">
                                    <f:convertNumber type="number" />
                                </h:outputText>
                            </p:column>

                            <p:column headerText="Área construcción">
                                <h:outputText value="#{rt[3]}">
                                    <f:convertNumber type="number" />
                                </h:outputText>
                            </p:column>

                            <p:column headerText="Avalúo">
                                <h:outputText value="#{rt[4]}" styleClass="outputTextStyle">
                                    <f:converter converterId="converterMoneda" />
                                </h:outputText>
                            </p:column>

                        </p:dataTable>
                        <p:spacer width="10" height="0"/>
                        <h:panelGrid columns="2">
                            <h:outputText value="Ejecutor del trámite: "
                                          styleClass="outputLabelStyle" />

                            <h:outputText
                                value="#{histProyViaGub.tramiteInicialVG.nombreFuncionarioEjecutor}"
                                styleClass="outputTextStyle" />
                        </h:panelGrid>

                    </h:panelGrid>

                    <p:spacer height="7" width="0" />

                    <p:fieldset>
                        <legend>
                            <h:outputText value="Histórico de observaciones"
                                          styleClass="legendTitle" />
                        </legend>

                        <p:spacer height="10" width="0" />
                        <p:dataTable
                            value="#{histProyViaGub.tablaHistoricoObservaciones}"
                            id="historicoId" var="ho"
                            emptyMessage="No existe información histórica de observaciones">

                            <p:column headerText="Motivo de rechazo">
                                <h:outputText value="#{ho.motivo}" />
                            </p:column>

                            <p:column headerText="Usuario">
                                <h:outputText value="#{ho.responsable}" />
                            </p:column>

                            <p:column headerText="Fecha">
                                <h:outputText value="#{ho.fechaLog}">
                                    <f:convertDateTime
                                        pattern="#{general.formatoFechaComponenteCalendar}" />								
                                </h:outputText>
                            </p:column>
                        </p:dataTable>

                    </p:fieldset>

                    <p:spacer height="10" width="0" />

                </p:tab>

                <p:tab title="Información de cancelación / inscripción"
                       id="infoCanIns" >
                    <ui:include src="validacion/informacionCancelacionInscripcion.xhtml" />
                </p:tab>

            </p:tabView>
        </h:panelGrid>

        <p:separator style="width:925px;height:3px" />
        <p:spacer height="7" width="0" />
        <p:outputPanel layout="block" style="text-align:right"
                       rendered="#{modificarDatosAprobacionParam}">
            <p:commandButton value="Cerrar" update="msgInfoFis"
                             icon="ui-icon-circle-close" immediate="true"
                             action="#{histProyViaGub.cerrar}" ajax="false"
                             onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
            <p:spacer height="0" width="30" />
        </p:outputPanel>
        <p:spacer height="20" width="0" />

    </h:form>

</h:panelGrid>